Bug 210149 - Add SSL_DEFAULT
Summary: Add SSL_DEFAULT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D6577
Keywords:
Depends on:
Blocks: 210322
  Show dependency treegraph
 
Reported: 2016-06-08 20:00 UTC by Mathieu Arnold
Modified: 2016-06-20 14:19 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
patch-v1 (23.73 KB, patch)
2016-06-08 20:00 UTC, Mathieu Arnold
no flags Details | Diff
patch-v2 (23.89 KB, patch)
2016-06-09 13:01 UTC, Mathieu Arnold
no flags Details | Diff
patch-v3 (24.84 KB, patch)
2016-06-11 01:06 UTC, Mathieu Arnold
no flags Details | Diff
patch-v4 (24.84 KB, patch)
2016-06-11 12:15 UTC, Mathieu Arnold
no flags Details | Diff
patch-v5 (24.84 KB, patch)
2016-06-12 04:12 UTC, Mathieu Arnold
no flags Details | Diff
patch-v6 (24.84 KB, patch)
2016-06-12 04:21 UTC, Mathieu Arnold
no flags Details | Diff
patch-v7 (24.84 KB, patch)
2016-06-14 17:11 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-06-08 20:00:50 UTC
Created attachment 171216 [details]
patch-v1
Comment 1 Antoine Brodin freebsd_committer 2016-06-09 08:33:30 UTC
Exp-run fails to start, problem with net-mgmt/zabbix3-frontend/Makefile

make: "/usr/ports/Mk/bsd.port.mk" line 1712: Malformed conditional (${WITH_PKG} == devel)
make: "/usr/ports/Mk/bsd.port.mk" line 2119: Malformed conditional (${PREFIX} == /usr)
make: "/usr/ports/Mk/bsd.port.mk" line 2670: Malformed conditional (${PREFIX} == /usr)
make: "/usr/ports/Mk/bsd.port.mk" line 2683: Malformed conditional (${PREFIX} == /usr)
make: "/usr/ports/Mk/bsd.port.mk" line 4636: Malformed conditional ((${PREFIX} != ${LOCALBASE} && ${PREFIX} != ${LINUXBASE} &&  ${PREFIX} != "/usr" &&
 !defined(NO_PREFIX_RMDIR)))                                                                                                                          
make: Fatal errors encountered -- cannot continue
                                                   
make: stopped in /usr/ports/net-mgmt/zabbix3-frontend: No such file or directory
Comment 2 Mathieu Arnold freebsd_committer 2016-06-09 13:01:09 UTC
Created attachment 171232 [details]
patch-v2

grmbl, stupid ports.
Comment 3 Antoine Brodin freebsd_committer 2016-06-10 21:06:29 UTC
So, this exp-run exhibits a problem in USES=bdb
- bsd.default-versions.mk is not loaded by bdb.mk
- when bsd.default-versions.mk is included, USES=bdb:4.8 doesn't work

New failures on 10.1 i386:

+ {"origin"=>"net-p2p/bitcoin", "pkgname"=>"bitcoin-0.12.1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/bitcoin-daemon", "pkgname"=>"bitcoin-daemon-0.12.1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/litecoin", "pkgname"=>"litecoin-0.10.4.0", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/litecoin-daemon", "pkgname"=>"litecoin-daemon-0.10.4.0", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/zetacoin", "pkgname"=>"zetacoin-0.9.2.7", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "pkgname"=>"zetacoin-nox11-0.9.2.7", "phase"=>"configure", "errortype"=>"configure_error"}

Failure logs:

http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/bitcoin-0.12.1.log
http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/bitcoin-daemon-0.12.1.log
http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/litecoin-0.10.4.0.log
http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/litecoin-daemon-0.10.4.0.log
http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/zetacoin-0.9.2.7.log
http://package18.nyi.freebsd.org/data/101i386-default-PR210149/2016-06-10_14h17m48s/logs/errors/zetacoin-nox11-0.9.2.7.log
Comment 4 Mathieu Arnold freebsd_committer 2016-06-11 01:06:06 UTC
Created attachment 171286 [details]
patch-v3

Mmm, yes, this was a silly bug.
Comment 6 Mathieu Arnold freebsd_committer 2016-06-11 12:15:56 UTC
Created attachment 171302 [details]
patch-v4

Grmbl, stupid mat.
Comment 7 Antoine Brodin freebsd_committer 2016-06-11 20:21:48 UTC
with fmake there are make errors:

[00:01:01] ====>> Error: Error getting PKGNAME for ftp/curl
"Makefile", line 158: Malformed conditional (${SSL_DEFAULT} == libressl)
"Makefile", line 165: if-less endif
make: fatal errors encountered -- cannot continue
Comment 8 Mathieu Arnold freebsd_committer 2016-06-12 04:12:07 UTC
Created attachment 171320 [details]
patch-v5

fmake.
Comment 9 Mathieu Arnold freebsd_committer 2016-06-12 04:15:49 UTC
mmm, no, it's not it.
Comment 10 Mathieu Arnold freebsd_committer 2016-06-12 04:21:20 UTC
Created attachment 171321 [details]
patch-v6

I Don't know what I'm doing, but this should work.
Comment 11 Antoine Brodin freebsd_committer 2016-06-12 06:25:08 UTC
The next one  (fmake again):

"Makefile", line 218: Malformed conditional (${SSL_DEFAULT} != base)
"Makefile", line 220: if-less else
"Makefile", line 222: if-less endif
make: fatal errors encountered -- cannot continue
[00:04:54] ====>> Error: Error getting PKGNAME for net-mgmt/net-snmp
Comment 12 Mathieu Arnold freebsd_committer 2016-06-14 17:11:53 UTC
Created attachment 171433 [details]
patch-v7

There were non breaking spaces breaking fmake.

Fixed all I could find.
Comment 13 Antoine Brodin freebsd_committer 2016-06-16 07:30:00 UTC
There is 1 new failure on 9.3:

+ {"origin"=>"databases/mysql57-server", "pkgname"=>"mysql57-server-5.7.13", "phase"=>"build", "errortype"=>"clang"}

Failure log:

http://package23.nyi.freebsd.org/data/93amd64-default-PR210149/2016-06-16_05h12m22s/logs/errors/mysql57-server-5.7.13.log
Comment 14 commit-hook freebsd_committer 2016-06-16 13:21:10 UTC
A commit references this bug:

Author: mat
Date: Thu Jun 16 13:21:07 UTC 2016
New revision: 416964
URL: https://svnweb.freebsd.org/changeset/ports/416964

Log:
  Fix USES=bdb.

  Turns out that the conversion to USES was broken, and did not take the
  DEFAULT_VERSIONS=bdb=foo into account.

  PR:		210149
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	The FreeBSD Foundation, Absolight

Changes:
  head/Mk/Uses/bdb.mk
Comment 15 commit-hook freebsd_committer 2016-06-16 13:23:12 UTC
A commit references this bug:

Author: mat
Date: Thu Jun 16 13:22:59 UTC 2016
New revision: 416965
URL: https://svnweb.freebsd.org/changeset/ports/416965

Log:
  Add DEFAULT_VERSIONS=ssl=XXX

  Move the openssl detection routine to bsd.default-version.mk.
  Add warnings telling people to not use WITH_OPENSSL_PORT or
  WITH_OPENSSL_BASE.

  To ease maintainability, change the way the different ssl libraries
  version numbers are checked.

  PR:		210149
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	The FreeBSD Foundation, Absolight
  Differential Revision:	https://reviews.freebsd.org/D6577

Changes:
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.openssl.mk
  head/UPDATING
  head/security/libressl/version.mk
  head/security/libressl-devel/version.mk
  head/security/openssl/version.mk
  head/security/openssl-devel/version.mk
Comment 16 commit-hook freebsd_committer 2016-06-16 13:24:13 UTC
A commit references this bug:

Author: mat
Date: Thu Jun 16 13:23:17 UTC 2016
New revision: 416966
URL: https://svnweb.freebsd.org/changeset/ports/416966

Log:
  Fix usage of WITH_OPENSSL_BASE, WITH_OPENSSL_PORT and OPENSSL_PORT.

  WITH_OPENSSL_* can't be set after bsd.port.pre.mk.
  Fold all other usage into using SSL_DEFAULT == foo

  PR:		210149
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	The FreeBSD Foundation, Absolight
  Differential Revision:	https://reviews.freebsd.org/D6577

Changes:
  head/archivers/py-borgbackup/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mysql57-server/Makefile
  head/devel/libgit2/Makefile
  head/devel/libopkele/Makefile
  head/devel/thrift-cpp/Makefile
  head/dns/bind9-devel/Makefile
  head/dns/bind910/Makefile
  head/dns/bind99/Makefile
  head/emulators/virtualbox-ose/Makefile
  head/ftp/curl/Makefile
  head/mail/deforaos-mailer/Makefile
  head/mail/dk-milter/Makefile
  head/mail/sendmail/Makefile
  head/net/hostapd/Makefile
  head/net/openldap24-server/Makefile
  head/net/socat/Makefile
  head/net/tigervnc/Makefile
  head/net-im/telepathy-gabble/Makefile
  head/net-im/telepathy-idle/Makefile
  head/net-mgmt/net-snmp/Makefile
  head/net-mgmt/zabbix3-server/Makefile
  head/security/R-cran-openssl/Makefile
  head/security/bro/Makefile
  head/security/hpenc/Makefile
  head/security/libssh2/Makefile
  head/security/p5-openxpki/Makefile
  head/security/pam_ocra/Makefile
  head/security/py-m2crypto/Makefile
  head/security/s2n/Makefile
  head/security/softhsm2/Makefile
  head/security/stunnel/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/spdylay/Makefile
  head/x11-servers/xorg-server/Makefile